﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ManageInventoryLocationsForm.aspx.cs" MasterPageFile="~/StockTaker.Master" Inherits="StockTaker.ManageInventoryLocationsForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
    <script language="javascript" type="text/javascript">
		function HfMnemMask(txtMnem, cKeyVal) {
			var iTextLength = txtMnem.value.length;
			txtMnem.value = txtMnem.value.toUpperCase ();
			
			with (txtMnem) {
				switch (iTextLength) {
					case 3:
						//Add a space if not deleting
						if (cKeyVal != 8) 
							value += " ";
					break;
				}
			}
		}
		
		function ToUpper (txtMnem, cKeyVal) {
			//Ignore left, up, rigth, and down arrows and backspace
			if (cKeyVal != 37 && cKeyVal != 38 && cKeyVal != 39 && cKeyVal != 40 && cKeyVal != 8)
				txtMnem.value = txtMnem.value.toUpperCase ();   
        }
        $(document).ready(function() {
            if ($('.AlertMessage').text() != '') {
                $('#dialog-message').text($('.AlertMessage').text());
                $('#dialog-message').dialog({
                    modal: true,
                    buttons: {
                        Ok: function() {
                            $(this).dialog("close");
                        }
                    }
                });
            }            
        });		
    </script>

    <form id="form1" runat="server">
    
		<h1>Manage Inventory Locations</h1>    
	
		<div class="miniNav">
			<asp:Button ID="cmdHelp" TabIndex="11" runat="server" Text="Help" CausesValidation="False" OnClick="cmdHelp_Click"></asp:Button>
			<asp:Button ID="cmdDone" TabIndex="12" runat="server" Text="Done" CausesValidation="False" OnClick="cmdDone_Click"></asp:Button>
		</div>
		<div id="dialog-message" title="StockTaker Notice">&nbsp;</div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>
		<fieldset class="stFieldset">
			<legend>Add New Inventory Location</legend>
			<table cellpadding="0" cellspacing="2" border="0">
				<tr>
					<td>Location Name:&nbsp;</td>
					<td><asp:TextBox ID="txtName" runat="server" Width="154px" MaxLength="20" /></td>
				</tr>
				<tr>
					<td>Excluded:</td>
					<td><asp:CheckBox ID="chkExclude" runat="server" Width="154px" MaxLength="20" /></td>
				</tr>
				<tr>
					<td colspan="2">
						<asp:Button ID="cmdCancel" runat="server" Text="Cancel" OnClick="cmdCancel_Click"></asp:Button>
						<asp:Button ID="cmdAdd" runat="server" Text="Add New" OnClick="cmdAdd_Click"></asp:Button> 
					</td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset class="stFieldset">
			<legend>Current Inventory Locations</legend>		
			<asp:DataGrid ID="dgUsers" runat="server" DataKeyField="Id" AutoGenerateColumns="False" ForeColor="Black" GridLines="None" CellPadding="2" ShowHeader="True" OnCancelCommand="dgUsers_CancelCommand" OnDeleteCommand="dgUsers_DeleteCommand" OnEditCommand="dgUsers_EditCommand" OnUpdateCommand="dgUsers_UpdateCommand">
				<FooterStyle BackColor="Tan"></FooterStyle>
				<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
				<AlternatingItemStyle BackColor="#eeeeee"></AlternatingItemStyle>
				<HeaderStyle HorizontalAlign="Center" BackColor="#666666" Font-Bold="True" ForeColor="White" />
				<Columns>
					<asp:TemplateColumn HeaderText="Edit">
						<ItemStyle HorizontalAlign="Center" Width="140px"></ItemStyle>
						<ItemTemplate>
							<asp:Button ID="Button1" runat="server" Text="Edit" CommandName="Edit" CausesValidation="false"></asp:Button>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:Button ID="Button2" runat="server" Text="Update" CommandName="Update"></asp:Button>&nbsp;
							<asp:Button ID="Button3" runat="server" Text="Cancel" CommandName="Cancel" CausesValidation="false"></asp:Button>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Delete">
						<ItemStyle HorizontalAlign="Center" Width="100px"></ItemStyle>
						<ItemTemplate>
							<asp:HiddenField ID="hiddenId" runat="server" Value='<%# DataBinder.Eval(Container, "DataItem.Id") %>' />
							<asp:Button ID="Button4" runat="server" Text="Delete" CommandName="Delete" CausesValidation="false"></asp:Button>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Location Name">
						<ItemStyle HorizontalAlign="Center" Width="200px"></ItemStyle>
						<ItemTemplate>
							<asp:Label ID="lblName" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Name") %>' />
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox ID="txtName" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Name") %>'>
							</asp:TextBox>
							<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="txtName" Text="Required" runat="server" />
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Excluded">
						<ItemStyle HorizontalAlign="Center" Width="200px"></ItemStyle>
						<ItemTemplate>
							<asp:CheckBox ID="lblExclude" runat="server" Enabled="False" Checked='<%# DataBinder.Eval(Container, "DataItem.Exclude") %>' />
						</ItemTemplate>
						<EditItemTemplate>
							<asp:CheckBox ID="chkExclude" runat="server" Checked='<%# DataBinder.Eval(Container, "DataItem.Exclude") %>' />
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
				<PagerStyle HorizontalAlign="Center" ForeColor="DarkSlateBlue" BackColor="PaleGoldenrod"></PagerStyle>
			</asp:DataGrid>
		</fieldset>

    </form>
</asp:Content>
