<%@ Page language="c#" Codebehind="ManageDeliverersForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ManageDeliverersForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
<script language="javascript" type="text/javascript">
    $(document).ready(function() {
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
        if ($('.ConfirmEditMessage').text() != '') {
            $('#dialog-confirm-edit').text($('.ConfirmEditMessage').text());
            $('#dialog-confirm-edit').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $('.ConfirmEditMessage').html("<input type=hidden value='1' name='EDIT_HIDDEN_FIELD'>");
                        $('#aspnetForm').submit();
                        $(this).dialog("close");
                    },
                    Cancel: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
        if ($('.ConfirmDeleteMessage').text() != '') {
            $('#dialog-confirm-delete').text($('.ConfirmDeleteMessage').text());
            $('#dialog-confirm-delete').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $('.ConfirmDeleteMessage').html("<input type=hidden value='1' name='DELETE_HIDDEN_FIELD'>");
                        $('#aspnetForm').submit();
                        $(this).dialog("close");
                    },
                    Cancel: function() {
                       $(this).dialog("close");
                    }
                }
            });
        }
            
    });		
</script>        
	<form id="Form1" method="post" runat="server">		
		<h1>Manage Delivery Personnel</h1>		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="15" runat="server" Text="Help" CausesValidation="False"></asp:button>
			<asp:button id="cmdDone" tabIndex="14" runat="server" Text="Done" CausesValidation="False"></asp:button>
		</div>				
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div id="dialog-confirm-edit" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmEditBox" runat="server" style="display:none;" class="ConfirmEditMessage"/>		
		<div id="dialog-confirm-delete" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmDeleteBox" runat="server" style="display:none;" class="ConfirmDeleteMessage"/>		
		<fieldset class="stFieldset">
			<legend>Add New Personnel</legend>
			<table cellpadding="0" cellspacing="2" border="0">
				<tr>
					<td>First Name:&nbsp;</td>
					<td><asp:TextBox id="txtFirstName" runat="server" Width="154px" MaxLength="20"></asp:TextBox></td>
				</tr>
				<tr>
					<td>Last Name:</td>
					<td><asp:TextBox id="txtLastName" runat="server" Width="154px" MaxLength="20"></asp:TextBox></td>
				</tr>
				<tr>
					<td colspan="2">
						<asp:Button id="cmdAdd" runat="server" Text="Add New"></asp:Button>
						<asp:Button id="cmdCancel" runat="server" Text="Cancel"></asp:Button>
					</td>
				</tr>
			</table>			
		</fieldset>		
		<fieldset class="stFieldset">
			<legend>Current Delivery Personnel</legend>
			<asp:datagrid id="dgUsers" runat="server" Width="100%" DataKeyField="UR_ID" AutoGenerateColumns="False" ForeColor="Black" GridLines="None" CellPadding="2" ShowHeader="True">
				<FooterStyle BackColor="Tan"></FooterStyle>
				<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
				<AlternatingItemStyle BackColor="#eeeeee"></AlternatingItemStyle>
				<HeaderStyle HorizontalAlign="Center" BackColor="#666666" Font-Bold="True" ForeColor="White" />
				<Columns>
					<asp:TemplateColumn HeaderText="Edit">
						<ItemStyle HorizontalAlign="Center" Width="140px"></ItemStyle>
						<ItemTemplate>
							<asp:Button runat="server" Text="Edit" CommandName="Edit" CausesValidation="false"></asp:Button>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:Button runat="server" Text="Update" CommandName="Update"></asp:Button>&nbsp;
							<asp:Button runat="server" Text="Cancel" CommandName="Cancel" CausesValidation="false"></asp:Button>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Delete">
						<ItemStyle HorizontalAlign="Center" Width="100px"></ItemStyle>
						<ItemTemplate>
							<asp:Button runat="server" Text="Delete" CommandName="Delete" CausesValidation="false"></asp:Button>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="First Name">
						<ItemStyle HorizontalAlign="Center" Width="200px"></ItemStyle>
						<ItemTemplate>
							<asp:Label runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.UR_FirstName") %>'/>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox runat="server" ID="txtFName" Text='<%# DataBinder.Eval(Container, "DataItem.UR_FirstName") %>'>
							</asp:TextBox>
							<asp:RequiredFieldValidator ControltoValidate="txtFName" Text="Required" Runat="server" />
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Last Name">
						<ItemStyle HorizontalAlign="Center" Width="200px"></ItemStyle>
						<ItemTemplate>
							<asp:Label runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.UR_LastName") %>'>
							</asp:Label>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox runat="server" ID="txtLName" Text='<%# DataBinder.Eval(Container, "DataItem.UR_LastName") %>'>
							</asp:TextBox>
							<asp:RequiredFieldValidator ControltoValidate="txtLName" Text="Required" Runat="server" />
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
				<PagerStyle HorizontalAlign="Center" ForeColor="#000000"></PagerStyle>
			</asp:datagrid>
		</fieldset>

	</form>

</asp:Content>