<%@ Page language="c#" Codebehind="ManageFacilitiesForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ManageFacilitiesForm" EnableEventValidation="False" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
<script language="javascript" type="text/javascript">
    $(document).ready(function() {
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
        if ($('.ConfirmDeleteMessage').text() != '') {
            $('#dialog-confirm-delete').text($('.ConfirmDeleteMessage').text());
            $('#dialog-confirm-delete').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $('.ConfirmDeleteMessage').html("<input type=hidden value='1' name='DELETE_HIDDEN_FIELD'>");
                        $('#aspnetForm').submit();
                        $(this).dialog("close");
                    },
                    Cancel: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }

    });		
</script>
	<form id="Form1" method="post" runat="server">
		
		<h1><asp:label id="lblTitle" runat="server">Manage Health Facilities</asp:label></h1>
		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="14" runat="server" CausesValidation="False" Text="Help"></asp:button>
			<asp:button id="cmdDone" tabIndex="13" runat="server" CausesValidation="False" Text="Done"></asp:button>
		</div>	
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div id="dialog-confirm-delete" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmDeleteBox" runat="server" style="display:none;" class="ConfirmDeleteMessage"/>		
		<fieldset class="stFieldset">
			<legend>Management Options</legend>
			<asp:button id="cmdMngSchedule" tabIndex="11" runat="server" Text="Manage Schedules" CausesValidation="False"></asp:button>
			<asp:button id="cmdMngFacility"	runat="server" Text="Manage Health Facilities" CausesValidation="False" Enabled="False"></asp:button>
			<asp:button id="cmdMngStockLists" tabIndex="12" runat="server" Text="Manage Stock Lists" CausesValidation="False"></asp:button>
		</fieldset>
		<fieldset class="stFieldset">
			<legend>Facility List</legend>			
			<asp:DataGrid ID="dgFacilitys" runat="server" DataKeyField="HF_Id" 
                AutoGenerateColumns="False" ForeColor="Black" GridLines="None" CellPadding="2" 
                ShowHeader="True" oneditcommand="dgFacilitys_ItemCommand">
				<FooterStyle BackColor="Tan"></FooterStyle>
				<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
				<AlternatingItemStyle BackColor="#eeeeee"></AlternatingItemStyle>
				<HeaderStyle HorizontalAlign="Center" BackColor="#666666" Font-Bold="True" ForeColor="White" />
				<Columns>
		    <asp:EditCommandColumn
                 EditText="Edit"
                 CancelText="Cancel"
                 UpdateText="Update" 
                 HeaderText="Action">               
            </asp:EditCommandColumn>				
					<asp:TemplateColumn HeaderText="Facility Name">
						<ItemStyle HorizontalAlign="Center" Width="200px"></ItemStyle>
						<ItemTemplate>
							<asp:Label ID="lblName" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.HF_Name") %>' />
						</ItemTemplate>
					</asp:TemplateColumn>
				</Columns>
				<PagerStyle HorizontalAlign="Center" ForeColor="DarkSlateBlue" BackColor="PaleGoldenrod"></PagerStyle>
			</asp:DataGrid>
		</fieldset>		
		<fieldset class="stFieldset">
			<legend><asp:label id="lblMode" runat="server">Add Facility Form</asp:label></legend>
			
			<div class="miniNav2">
				<asp:button id="cmdAdd" runat="server" CausesValidation="False" Text="Add Facility Form" Enabled="False"></asp:button>
				<asp:button id="cmdEdit" tabIndex="9" runat="server" CausesValidation="False" Text="Edit Facility Form"></asp:button>
				<asp:button id="cmdDelete" tabIndex="10" runat="server" CausesValidation="False" Text="Delete Facility Form"></asp:button>
			</div>
		
			
			<asp:panel id="pnlCartPanel" runat="server">

				<asp:Label id="lblFacility" runat="server" CssClass="padGen" Visible="False">Please Select a Health Facility: </asp:Label>
				<asp:DropDownList id="cboFacilities" runat="server" Width="224px" Visible="False" AutoPostBack="False"></asp:DropDownList>
				<asp:button id="btnFacilitySelect" runat="server" Text="Go" Visible="False"  ></asp:button>
				<div class="innerPanel">
					<table cellpadding="2" cellspacing="2" border="0">
						<tr>
							<td>
	
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblFacilityId" runat="server">Health Facility ID: (7 characters max):</asp:Label><br />
								<asp:TextBox id="txtId" onkeyup="ToUpper (this, event.keyCode)" tabIndex="1" runat="server" Width="192px" MaxLength="7"></asp:TextBox>
								<asp:RequiredFieldValidator id="m_IdRegValidator" runat="server" ControlToValidate="txtId">Required</asp:RequiredFieldValidator>
								<asp:CustomValidator id="hfIdCustValidator" runat="server" ControlToValidate="txtId" Display="None"></asp:CustomValidator>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblFacilityDescription" runat="server">Health Facility Description: (50 characters max)</asp:Label><br />
								<asp:TextBox id="txtDescription" tabIndex="2" runat="server" Width="248px" MaxLength="50"></asp:TextBox>
								<asp:RequiredFieldValidator id="m_DescReqValidator" runat="server" ControlToValidate="txtDescription">Required</asp:RequiredFieldValidator>	
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblMIF" runat="server">Meditech Input Folder Path:</asp:Label><br />
								<asp:TextBox id="txtMIF" tabIndex="3" runat="server" Width="400px" MaxLength="100"></asp:TextBox>
								<asp:RequiredFieldValidator id="m_MifReqValidator" runat="server" ControlToValidate="txtMIF">Required</asp:RequiredFieldValidator>
								<asp:CustomValidator id="m_MifCustValidator" runat="server" ControlToValidate="txtMIF" Display="None"></asp:CustomValidator>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblMOF" runat="server">Meditech Output Folder Path:</asp:Label><br />
								<asp:TextBox id="txtMOF" tabIndex="4" runat="server" Width="400px" MaxLength="100"></asp:TextBox>					
								<asp:RequiredFieldValidator id="m_MofReqValidator" runat="server" ControlToValidate="txtMOF">Required</asp:RequiredFieldValidator> 
								<asp:CustomValidator id="m_MofCustValidator" runat="server" ControlToValidate="txtMOF" Display="None"></asp:CustomValidator>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Label id="lblNprPath" runat="server">StockReceiver NPR Path (optional):</asp:Label><br />
								<asp:TextBox id="txtNprPath" tabIndex="5" runat="server" Width="400px" MaxLength="100"></asp:TextBox>
								<asp:CustomValidator id="m_NprCustValidator" runat="server" ControlToValidate="txtNprPath" Display="None"></asp:CustomValidator>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:Button id="cmdSave" tabIndex="6" runat="server" Text="Save"></asp:Button>
								<asp:Button id="cmdCanel" tabIndex="8" runat="server" CausesValidation="False" Text="Cancel"></asp:Button>
								<asp:Button id="cmdDeleteRecord" tabIndex="7" runat="server" CausesValidation="False" Text="Delete" Visible="False"></asp:Button>
							</td>
						</tr>
						<tr><td class="tableSpacer"><!-- --></td></tr>
						<tr>
							<td>
								<asp:ValidationSummary id="valSummary" runat="server" Width="240px" Height="168px" DisplayMode="List"></asp:ValidationSummary>
							</td>
						</tr>
					</table>	
				</div>				
			</asp:panel>			
		
		</fieldset>		

	</form>
</asp:Content>