<%@ Page language="c#" Codebehind="ManageScheduleForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ManageScheduleForm" %>
<%@ Register TagPrefix="cc2" Namespace="StockTaker" Assembly="CustomValidators" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
<script language="javascript" type="text/javascript">
    $(document).ready(function() {
        if ($('.AlertMessage').text() != '') {
            $('#dialog-message').text($('.AlertMessage').text());
            $('#dialog-message').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }
        if ($('.ConfirmDeleteMessage').text() != '') {
            $('#dialog-confirm-delete').text($('.ConfirmDeleteMessage').text());
            $('#dialog-confirm-delete').dialog({
                modal: true,
                buttons: {
                    Ok: function() {
                        $('.ConfirmDeleteMessage').html("<input type=hidden value='1' name='DELETE_HIDDEN_FIELD'>");
                        $('#aspnetForm').submit();
                        $(this).dialog("close");
                    },
                    Cancel: function() {
                        $(this).dialog("close");
                    }
                }
            });
        }

    });		
</script>
	<form id="Form1" method="post" runat="server">
	
		<h1><asp:label id="lblTitle" runat="server">Manage Stock Take Schedules</asp:label></h1>		
		
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="11" runat="server" Text="Help" CausesValidation="False"></asp:button>
			<asp:button id="cmdDone" tabIndex="12" runat="server" Text="Done" CausesValidation="False"></asp:button>
		</div>
		<div id="dialog-message" title="StockTaker Notice"></div>
		<asp:Label ID="mbxMessageBox" runat="server" style="display:none;" class="AlertMessage"/>	
		<div id="dialog-confirm-delete" title="StockTaker Confirm"></div>
		<asp:Label ID="mbxConfirmDeleteBox" runat="server" style="display:none;" class="ConfirmDeleteMessage"/>		
		<fieldset class="stFieldset">
			<legend>Management Options</legend>
			<asp:button id="cmdMngSchedule" tabIndex="10" runat="server" CausesValidation="False" Enabled="False" Text="Manage Schedules"></asp:button>
			<asp:button id="cmdMngFacility" tabIndex="12" runat="server" CausesValidation="False" Text="Manage Health Facilities"></asp:button>
			<asp:button id="cmdMngStockLists" tabIndex="10" runat="server" CausesValidation="False" Text="Manage Stock Lists"></asp:button>
		</fieldset>
		
		<fieldset class="stFieldset">
			<legend><asp:Label id="lblMode" runat="server">Add Schedule Form</asp:Label></legend>
			
			<div class="miniNav2">
				<asp:button id="cmdAdd" tabIndex="8" runat="server" Text="Add Schedule Form" Enabled="False" CausesValidation="False"></asp:button>
				<asp:button id="cmdEdit" tabIndex="9" runat="server" Text="Edit Schedule Form" CausesValidation="False"></asp:button>
				<asp:button id="cmdDelete" tabIndex="10" runat="server" Text="Delete Schedule Form" CausesValidation="False"></asp:button>
			</div>
			
			<div class="innerPanel">
			<asp:panel id="pnlManage" runat="server">
				
				<table cellpadding="2" cellspacing="2" border="0">
					<tr>
						<td>
							<b><asp:label id="lblSelectFacility" runat="server">Health Facility</asp:label></b>
							<asp:dropdownlist id="cboFacilities" runat="server" AutoPostBack="True"></asp:dropdownlist>
							<asp:CustomValidator id="facilityCustValidator" runat="server" ControlToValidate="cboFacilities">Required</asp:CustomValidator>
						</td>
						<td>
							<b><asp:label id="lblSelectDay" runat="server">Day</asp:label></b>
							<asp:dropdownlist id="cboWeekDays" tabIndex="1" runat="server" Width="160px" AutoPostBack="True"></asp:dropdownlist>
							<asp:CustomValidator id="dayCustValidator" runat="server" ControlToValidate="cboWeekDays">Required</asp:CustomValidator>
						</td>
					</tr>
				</table>				
				
				<br />
				<table cellpadding="2" cellspacing="2" border="0">
					<tr>
						<td valign="top">
							<b><asp:Label id="lblCarts" runat="server" Width="248px">Unscheduled Stock Lists</asp:Label></b>
							<asp:ListBox id="lstCarts" tabIndex="2" runat="server" Width="192px" Height="158px" SelectionMode="Multiple"></asp:ListBox>
						</td>
						<td align="center" style="padding-right:5px">
							<asp:Label id="lblAdd" runat="server">Add </asp:Label><br />
							<asp:Button id="cmdAddCart" tabIndex="3" runat="server" CausesValidation="False" Text="&gt;&gt;"></asp:Button><br /><br />
							<asp:Label id="lblRemove" runat="server">Remove</asp:Label><br />
							<asp:Button id="cmdRemoveCart" tabIndex="4" runat="server" CausesValidation="False" Text="&lt;&lt;"></asp:Button><br />
						</td>
						<td>
							<b><asp:Label id="lblScheduledCarts" runat="server" Width="227px">Scheduled Stock Lists</asp:Label></b>
							<asp:ListBox id="lstScheduledCarts" tabIndex="5" runat="server" Width="200px" Height="160px" SelectionMode="Multiple"></asp:ListBox>
							<cc2:ListBoxValidator id="schedCartListValidator" runat="server" ControlToValidate="lstScheduledCarts">Required</cc2:ListBoxValidator>
						</td> 
						<td valign="top">
							<b><asp:Label id="lblNewDescription" runat="server">New Description</asp:Label></b>
							<asp:TextBox id="txtNewDesc" runat="server" Width="136px" MaxLength="20"></asp:TextBox>
							<asp:RequiredFieldValidator id="newDescReqValidator" runat="server" ControlToValidate="txtNewDesc">Required</asp:RequiredFieldValidator>
							<asp:CustomValidator id="newDescCustValidator" runat="server" Width="168px" Height="88px" ControlToValidate="txtNewDesc"></asp:CustomValidator>

							<b><asp:Label id="lblDescription" runat="server" Visible="False">Description</asp:Label></b>
							<asp:DropDownList id="cboDescription" runat="server" Width="185px" AutoPostBack="True" Visible="False"></asp:DropDownList>	
						</td>
					</tr>
					<tr>
						<td colspan="4">
							<asp:Button id="cmdSave" tabIndex="6" runat="server" Text="Save"></asp:Button>
							<asp:Button id="cmdCancel" tabIndex="7" runat="server" CausesValidation="False" Text="Cancel"></asp:Button>
							<asp:Button id="cmdDeleteRecord" tabIndex="6" runat="server" Text="Delete" Visible="False"></asp:Button>
						</td>
					</tr>
				</table>				
				
			</asp:panel>
			</div>
		
		</fieldset>
		
	</form>
</asp:Content>