<%@ Page language="c#" Codebehind="ViewDeliveryForm.aspx.cs" MasterPageFile="~/StockTaker.Master" AutoEventWireup="false" Inherits="StockTaker.ViewDeliveryForm" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StockTakerContent">
	<form id="Form1" method="post" runat="server">
	
		<h1>Delivery Details</h1>
	
		<div class="miniNav">
			<asp:button id="cmdHelp" tabIndex="2" runat="server" Text="Help"></asp:button>
			<asp:button id="cmdBack" tabIndex="3" runat="server" Text="Back"></asp:button>
		</div>
		
		<fieldset class="stFieldset">	
			<legend><asp:label id="lblTitle" runat="server">Delivery Details</asp:label></legend>
			<table cellpadding="2" cellspacing="0" border="0" class="formTable">
				<tr>
					<td><asp:label id="lblDeptTitle" runat="server">Department:</asp:label></td>
					<td><asp:label id="lblDept" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblDeptNumTitle" runat="server">Department #:</asp:label></td>
					<td><asp:label id="lblDeptNum" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblDelStatusTitle" runat="server" Width="170px">Delivery Status:</asp:label></td>
					<td><asp:label id="lblDeliveryStatus" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblDelivererTitle" runat="server">Delivery Person:&nbsp;</asp:label></td>
					<td><asp:label id="lblDeliverer" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblPoNumTitle" runat="server">P.O. #:</asp:label></td>
					<td><asp:label id="lblPoNum" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblDateTitle" runat="server">Date:</asp:label></td>
					<td><asp:label id="lblDate" runat="server"></asp:label></td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset class="stFieldset">
			<legend><asp:label id="Label1" runat="server">P.O. Details:</asp:label></legend>
			<asp:datagrid id="dgPoDetails" runat="server" Width="100%" AutoGenerateColumns="False" ShowHeader="True" ForeColor="Black" GridLines="None" CellPadding="2">
				<FooterStyle BackColor="Tan"></FooterStyle>
				<SelectedItemStyle ForeColor="GhostWhite" BackColor="DarkSlateBlue"></SelectedItemStyle>
				<AlternatingItemStyle BackColor="#eeeeee"></AlternatingItemStyle>
				<HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
				<Columns>
					<asp:BoundColumn DataField="LI_ItemNo" HeaderText="&nbsp;Item #">
						<ItemStyle Width="100px" HorizontalAlign="center"></ItemStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="LI_ItemDesc" HeaderText="Description">
						<ItemStyle Width="392px" HorizontalAlign="left"></ItemStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="LI_Quantity" HeaderText="Quantity">
						<ItemStyle Width="100px" HorizontalAlign="Center"></ItemStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle HorizontalAlign="Center" ForeColor="#000000"></PagerStyle>
			</asp:datagrid>
		</fieldset>
		
		<fieldset class="stFieldset">
			<legend><asp:label id="lblSig" runat="server">Received By:</asp:label></legend>
			<asp:image id="imgSignature" runat="server" Height="120px"></asp:image>
		</fieldset>
	
	</form>
</asp:Content>